> For the complete documentation index, see [llms.txt](https://docs.skeddly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skeddly.com/data-types/actionexclusion-object.md).

# ActionExclusion Object

## Description

Represents an action exclusion.

## Properties

### actionExclusionId

ID of the action exclusion.

Type: `string`

### createdDate

Date, in ISO8601 format, when the action exclusion was created.

Type: `string`

### expiryDate

Date, in ISO8601 format, when the action exclusion expires.

Type: `string`

### isEnabled

`true` if the exclusion is enabled, otherwise `false`.

Type: `boolean`

### lastModifiedBy

User ID of the user that last modified the exclusion.

Type: `string`

### lastModifiedDate

Date, in ISO8601 format, when the action exclusion was last modified.

Type: `string`

### name

Name of the action exclusion.

Type: `string`

### processes

List of processes that should be excluded.

Type: Array of `string`

Valid Values:

* `start-resource`
* `stop-resource`

### projectId

ID of the project.

Type: `string`

### resourceType

Type of resource that the action exclusion applies.

Type: `string`

Valid Values:

* `amazon-ec2-instance`
* `amazon-rds-instance`

### resourceIdentificationMethod

Method in which resources will be selected for inclusion in the action exclusion.

Type: `string`

Valid Values:

* `all`
* `by-resource-id`
* `by-resource-tag`

### resourceIds

List of resource identifiers that will be matched. Required when `resourceIdentificationMethod` is `by-resource-id`.

Type: Array of `string`

### resourceTagComparison

Comparison to use when identifying resources by resource tag. Required when `resourceIdentificationMethod` is `by-resource-tag`.

Type: [ResourceTagComparison](/data-types/resourcetagcomparison-object-1.md) object.

### startDate

Date, in ISO8601 format, when the action exclusion starts.

Type: `string`

### status

Status of the exclusion.

Type: `string`

Valid Values:

* `active`
* `deleted`
* `disabled`
* `expired`

### timeZoneId

ID of the time zone for the exclusion.

Type: `string`

## Sample JSON

```javascript
{
    "actionExclusionId": "excl-00000001",
    "projectId": "proj-00000001",
    
    "name": "My Exclusion",
    "status": "active",
    "isEnabled": true,
    
    "createdDate": "2020-05-12T11:36:00Z",
    "lastModifiedDate": "2020-05-12T11:36:00Z",
    "lastModifiedBy": "u-00000001",
    
    "startDate": "2020-05-15T00:00:00Z",
    "expiryDate": "2020-05-19T00:00:00Z",
    "timeZoneId": "Eastern Standard Time",
    
    "processes": [
        "start-resource",
        "stop-resource"
    ],
    
    "resourceType": "amazon-ec2-instance",
    
    "resourceIdentificationMethod": "by-resource-id",
    "resourceIds": [
        "i-12345678"
    ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionexclusion-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
